org.apache.ignite.internal.processors.cache.persistence.metastorage

## Interface ReadWriteMetastorage

All Superinterfaces:
  ReadOnlyMetastorage

All Known Implementing Classes:
  MetaStorage

    public interface ReadWriteMetastorage
    extends ReadOnlyMetastorage

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `remove(String key)`
`void` `write(String key, Serializable val)`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.metastorage.ReadOnlyMetastorage

`read, readForPredicate`

### Method Detail

#### write

    void write(@NotNull
               String key,
               @NotNull
               Serializable val)
        throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### remove

    void remove(@NotNull
                String key)
         throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019